import { Component } from "react";
import { IReaderSettings } from "../../types";
type ErrorState = {
    error?: Error;
    info?: React.ErrorInfo;
};
declare class ErrorBoundary extends Component<IReaderSettings, ErrorState> {
    static getDerivedStateFromError(error: Error): {
        error: Error;
    };
    handleClearError(): void;
    state: ErrorState;
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): any;
}
export default ErrorBoundary;
